package com.dxhy.core.job.pojo;

import java.util.List;

/**
 * @author user
 */
public class InvoiceInfo extends BasePojo {

    private static final long serialVersionUID = 9140037500021701297L;

    private String invoiceCode;

    private String invoiceNo;

    /**
     * 新加字段
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String currentTaxPeriod;

    private String legalizeEndDate;

    private String legalizeInvoiceDateBegin;

    private String legalizeInvoiceDateEnd;

    private String invoiceType;

    private String invoiceDate;

    private String buyerName;

    private String buyerTaxNo;

    private String buyerAddressPhone;

    private String buyerAcount;

    private String salerName;

    private String salerTaxNo;

    private String salerAddressPhone;

    private String salerAcount;

    private String invoiceAmount;

    private String taxAmount;

    private String totalAmount;

    private String remark;

    private String invoiceStatus;

    private String legalizeState;

    private String legalizeDate;
    private String legalizeBlongDate;

    private String sfdbts;
    private String rzlx;
    private String checkCode;
    /**
     * 添加认证方式
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String legalizeType;
    private List<InvoiceDetailInfo> detailList;
    /**
     * 税收分类简码名称byLy
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String taxCodeName;

    /**
     * 通行费标志
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String txfbz;
    /**
     * 零税率标志
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String lslbz;

    /**
     * 状态最后修改时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String zttime;
    /**
     * 信息来源
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String xxly;
    /**
     * 有效税额
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String yxse;
    /**
     * 逾期可勾选标志
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String yqkgxbz;
    /**
     * 管理状态
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String glzt;
    /**
     * 异常类型
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String yclx;

    private String invoiceSources;
    private String dkse;
    private String bdkMessage;
    private String electronicInvoiceNo;

    public String getTaxCodeName() {
        return taxCodeName;
    }

    public void setTaxCodeName(String taxCodeName) {
        this.taxCodeName = taxCodeName;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerTaxNo() {
        return buyerTaxNo;
    }

    public void setBuyerTaxNo(String buyerTaxNo) {
        this.buyerTaxNo = buyerTaxNo;
    }

    public String getBuyerAddressPhone() {
        return buyerAddressPhone;
    }

    public void setBuyerAddressPhone(String buyerAddressPhone) {
        this.buyerAddressPhone = buyerAddressPhone;
    }

    public String getBuyerAcount() {
        return buyerAcount;
    }

    public void setBuyerAcount(String buyerAcount) {
        this.buyerAcount = buyerAcount;
    }

    public String getSalerName() {
        return salerName;
    }

    public void setSalerName(String salerName) {
        this.salerName = salerName;
    }

    public String getSalerTaxNo() {
        return salerTaxNo;
    }

    public void setSalerTaxNo(String salerTaxNo) {
        this.salerTaxNo = salerTaxNo;
    }

    public String getSalerAddressPhone() {
        return salerAddressPhone;
    }

    public void setSalerAddressPhone(String salerAddressPhone) {
        this.salerAddressPhone = salerAddressPhone;
    }

    public String getSalerAcount() {
        return salerAcount;
    }

    public void setSalerAcount(String salerAcount) {
        this.salerAcount = salerAcount;
    }

    public String getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(String invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getLegalizeState() {
        return legalizeState;
    }

    public void setLegalizeState(String legalizeState) {
        this.legalizeState = legalizeState;
    }

    public String getLegalizeDate() {
        return legalizeDate;
    }

    public void setLegalizeDate(String legalizeDate) {
        this.legalizeDate = legalizeDate;
    }

    public List<InvoiceDetailInfo> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<InvoiceDetailInfo> detailList) {
        this.detailList = detailList;
    }

    public String getCurrentTaxPeriod() {
        return currentTaxPeriod;
    }

    public void setCurrentTaxPeriod(String currentTaxPeriod) {
        this.currentTaxPeriod = currentTaxPeriod;
    }

    public String getLegalizeEndDate() {
        return legalizeEndDate;
    }

    public void setLegalizeEndDate(String legalizeEndDate) {
        this.legalizeEndDate = legalizeEndDate;
    }

    public String getLegalizeInvoiceDateBegin() {
        return legalizeInvoiceDateBegin;
    }

    public void setLegalizeInvoiceDateBegin(String legalizeInvoiceDateBegin) {
        this.legalizeInvoiceDateBegin = legalizeInvoiceDateBegin;
    }

    public String getLegalizeInvoiceDateEnd() {
        return legalizeInvoiceDateEnd;
    }

    public void setLegalizeInvoiceDateEnd(String legalizeInvoiceDateEnd) {
        this.legalizeInvoiceDateEnd = legalizeInvoiceDateEnd;
    }

    public String getLegalizeBlongDate() {
        return legalizeBlongDate;
    }

    public void setLegalizeBlongDate(String legalizeBlongDate) {
        this.legalizeBlongDate = legalizeBlongDate;
    }

    public String getSfdbts() {
        return sfdbts;
    }

    public void setSfdbts(String sfdbts) {
        this.sfdbts = sfdbts;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getLegalizeType() {
        return legalizeType;
    }

    public void setLegalizeType(String legalizeType) {
        this.legalizeType = legalizeType;
    }

    public String getTxfbz() {
        return txfbz;
    }

    public void setTxfbz(String txfbz) {
        this.txfbz = txfbz;
    }

    public String getLslbz() {
        return lslbz;
    }

    public void setLslbz(String lslbz) {
        this.lslbz = lslbz;
    }

    public String getZttime() {
        return zttime;
    }

    public void setZttime(String zttime) {
        this.zttime = zttime;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getYclx() {
        return yclx;
    }

    public void setYclx(String yclx) {
        this.yclx = yclx;
    }

    @Override
    public String toString() {
        return "InvoiceInfo [invoiceCode=" + invoiceCode + ", invoiceNo=" + invoiceNo + ", currentTaxPeriod="
            + currentTaxPeriod + ", legalizeEndDate=" + legalizeEndDate + ", legalizeInvoiceDateBegin="
            + legalizeInvoiceDateBegin + ", legalizeInvoiceDateEnd=" + legalizeInvoiceDateEnd + ", invoiceType="
            + invoiceType + ", invoiceDate=" + invoiceDate + ", buyerName=" + buyerName + ", buyerTaxNo=" + buyerTaxNo
            + ", buyerAddressPhone=" + buyerAddressPhone + ", buyerAcount=" + buyerAcount + ", salerName=" + salerName
            + ", salerTaxNo=" + salerTaxNo + ", salerAddressPhone=" + salerAddressPhone + ", salerAcount=" + salerAcount
            + ", invoiceAmount=" + invoiceAmount + ", taxAmount=" + taxAmount + ", totalAmount=" + totalAmount
            + ", remark=" + remark + ", invoiceStatus=" + invoiceStatus + ", legalizeState=" + legalizeState
            + ", legalizeDate=" + legalizeDate + ", legalizeBlongDate=" + legalizeBlongDate + ", sfdbts=" + sfdbts
            + ", rzlx=" + rzlx + ", checkCode=" + checkCode + ",invoiceSourcs"+invoiceSources+",bdkMessage"+bdkMessage+
                ", detailList=" + detailList + "]";
    }

    public String getInvoiceSources() {
        return invoiceSources;
    }

    public void setInvoiceSources(String invoiceSources) {
        this.invoiceSources = invoiceSources;
    }

    public String getDkse() {
        return dkse;
    }

    public void setDkse(String dkse) {
        this.dkse = dkse;
    }

    public String getBdkMessage() {
        return bdkMessage;
    }

    public void setBdkMessage(String bdkMessage) {
        this.bdkMessage = bdkMessage;
    }

    public String getElectronicInvoiceNo() {
        return electronicInvoiceNo;
    }

    public void setElectronicInvoiceNo(String electronicInvoiceNo) {
        this.electronicInvoiceNo = electronicInvoiceNo;
    }
}
